Subject: Re: Notification message: "session rejected, no Hello

From: [email-masked]
Date: Fri, 24 Sep 1999 12:38:42 +0800

Vrishab,

Corresponding to the TCP connection,
the LSR or LER interface is known.
Hence the LDP ID in the Common LDP PDU
header "MUST" correspond to that of the
LSR or LER interface when the Notification message
is sent.

cheers,
chetan

Original message:
----------------------------------------------------------------------------------------------------------------
This section in LDP-05 states that The Ldp identifier "Six octet field that
uniquely identifies the label space of the
     sending LSR for which this PDU applies."

Now think of the scenario i am describing, the passive LSR accepts a TCP
connection from the
peer, it has to wait for the Init message before it can know which Label
Space (or adjacency the peer is talking about)
on receiving the first Ldp Pdu on this connection it determines that it has
No Matching Hello adjacency.

Now it has to build and send a notification message with status = 10
(session rejected , no hello)
But since it has no adjacency with this peer, what would be the LDP
Identifier in this notification message

3.1. LDP PDUs

   Each LDP PDU is an LDP header followed by one or more LDP messages.
   The LDP header is:

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Version                      |         PDU Length            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                         LDP Identifier                        |
   +                               +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                               |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   Version
     Two octet unsigned integer containing the version number of the
     protocol.  This version of the specification specifies LDP protocol
     version 1.

   PDU Length
     Two octet integer specifying the total length of this PDU in
     octets, excluding the Version and PDU Length fields.

     The maximum allowable PDU Length is negotiable when an LDP session
     is initialized.  Prior to completion of the negotiation the maximum
     allowable length is 4096 bytes.

   LDP Identifier

Andersson, et al.                                              [Page 29]

Internet Draft         draft-ietf-mpls-ldp-05.txt              June 1999

     Six octet field that uniquely identifies the label space of the
     sending LSR for which this PDU applies.  The first four octets
     encode an IP address assigned to the LSR.  This address should be
     the router-id, also used to identify the LSR in loop detection Path
     Vectors.  The last two octets identify a label space within the
     LSR.  For a platform-wide label space, these should both be zero.

Srinivasan Balaji wrote:

> Vrishab,
>    I guess you wanted to say that the "Receiver LDP Identifier"
> in the Initialization message should be the LDP ID in the Notification.
>
> Right ?
>
> Vrishab Sikand wrote:
>
> > LDP-05 calls for passive LSR to send a notification message during
> > session initialization, when
> > no matching hello adjacency is found.
> >
> > My Q is what LDP ID, will you put in the Header of this  notification
> > message?? you have established
> > no adjacency with this potential peer hence there is no valid Label
> > space ID to insert.
> >
> > I suggest that the
> >
> > --
> > tx
> > Vrishab Sikand
>
> --
>   -----------------------------------------------------------------
>   Srinivasan Balaji
>   Ficon Technology
>   Voice : (732) 283-2770 xtn.303
>   Fax   : (732) 283-2848
>   mailto:[email-masked]
>   Web   : http://www.ficon-tech.com
>   -----------------------------------------------------------------

--
tx
Vrishab Sikand

Quarry Technologies
8 New England Office Park
Burlington Ma 01803

Off : 781 505 8300 ext. 332
Fax : 781 505 8316
Res.: 781 395 7280